# SINUMERIK Connection Properties

## `host` (string, required)

Hostname or IP of the Sinumerik device

Example: `"192.168.2.60"`

## `port` (integer, required)

Port of the Sinumerik device

Default: `4840`

Example: `4840`

## `resourcePath` (string)

Path of the Sinumerik server

Default: `""`

Example: `""`

## `username` (string)

Username for Sinumerik server

Example: `"user"`

## `password` (string)

Password for Sinumerik server

Example: `"user"`

## `timeout` (integer)

Timeout, in milliseconds

Default: `1000`

Examples: `1000`, `2000`

## `options` (object)

Properties of the `options` object:

#### `defaultSecureTokenLifetime` (integer)

Lifetime of the secure token. Specified in milliseconds.

Default: `3600000`

#### `requestedSessionTimeout` (integer)

OPC UA sessions may survive TCP connection breaks and are only deleted if no message from a client is received within the timeout period. Specified in milliseconds.

Default: `3600000`

#### `endpointMustExist` (boolean)

Specifies if the connection is strictly meant for the given endpoint. If false and the endpoint doesn’t exist, a reasonable default endpoint is automatically chosen.

Default: `false`

#### `messageSecurityMode` (string, enum)

This element must be one of the following enum values:

* `None`
* `Sign`
* `SignAndEncrypt`

Default: `"None"`

#### `securityPolicy` (string, enum)

This element must be one of the following enum values:

* `Aes128_Sha256_RsaOaep`
* `Basic128`
* `Basic128Rsa15`
* `Basic192`
* `Basic192Rsa15`
* `Basic256`
* `Basic256Rsa15`
* `Basic256Sha256`
* `None`
* `PubSub_Aes128_CTR`
* `PubSub_Aes256_CTR`

Default: `"None"`

#### `watchInterval` (integer)

For observing connection breaks, a connection watchdog runs regularly. Short intervals guarantee short notice on break but lead to higher load. Specified in milliseconds

Default: `30000`

#### `connectionStrategy` (object)

If a connection attempt failes, retries will be performed with growing delays in between. The following parameter control how these delays behave.

Properties of the `connectionStrategy` object:

**`maxRetry` (integer)**

Maximum number of connection retries in case of failure.

Default: `1000000000`

**`initialDelay` (integer)**

Delay of the first retry. Consecutive retries will randomly take longer delays.

Default: `1000`

**`maxDelay` (integer)**

Maximum delay of a retry.

Default: `60000`

**`randomisationFactor` (number)**

This parameter controls added randomisation to the retry attempts. Must be a number between 0 and 1. If set to 0, retries will be performed with exponentially growing delay until maxDelay. If set to 1, a maximum noise will be added to the retry delays.

Default: `0`

Additional restrictions:

* Maximum: `1`


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.cybus.io/2-1-2/connectors/shop-floor-connectors/sinumerik/sinumerikconnection.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
